Bug 463660 - [LTC 6.0 FEAT] 201392:IPv6 Secure Neighbor Discovery (SEND)
[LTC 6.0 FEAT] 201392:IPv6 Secure Neighbor Discovery (SEND)
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All All
high Severity high
: alpha
: ---
Assigned To: Jesse Larrew
Martin Jenner
:
Depends On:
Blocks: 356741 RHEL6Kernel2.6.27
  Show dependency treegraph
 
Reported: 2008-09-24 01:31 EDT by IBM Bug Proxy
Modified: 2009-06-20 02:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-03 17:33:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 01:31:51 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:12 EDT
1. Feature Overview:
Feature Id:	[201392]
a. Name of Feature:	IPv6 Secure Neighbor Discovery (SEND)
b. Feature Description
Support the following RFCs to support IPv6 Secure Neighbor Discovery(SEND) 
- RFC 3971: Secure Neigbor Discovery 
- RFC 3972: Cryptographically Generated Addresses.  
SEND is applicable in environments where physical security on the link is not assured(such as over
wireless) and attacks on Neighbor Discovery Protocol are a concern.

2. Feature Details:
Sponsor:	LTC
Architectures:
x86
x86_64
ppc64

Arch Specificity: Purely Common Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: 
Category:	Networking
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Not Started
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	kernel 2.6.27

3. Business Case
This is a SHOULD+ requirement in the Version 2.0 of the IPv6 DoD product profile. It became a SHOULD
requirement in Ver 3.0 of the IPv6 DoD Profile
http://jitc.fhu.disa.mil/apl/ipv6/pdf/disr_ipv6_product_profile_v3.pdf and a Conditional MUST in the
Ver 1 of US Govt. IPv6 profile. http://www.antd.nist.gov/usgv6/usgv6-v1.pdf

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Sridhar Samudrala, samudrala@us.ibm.com
David Stevens, dlstevens@us.ibm.com

IBM Manager:
Larry Kessler, lkessler@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 17:04:43 EDT
' Upstream Acceptance: Not Started'

Setting in NEEDINFO - please update with further status.
Comment 2 IBM Bug Proxy 2009-03-03 15:50:33 EST
IBM is not longer requesting this for RHEL6
Comment 3 Bill Nottingham 2009-03-03 17:33:25 EST
OK, closing.

Note You need to log in before you can comment on or make changes to this bug.